/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.muni.fi.pb162.store;

/**
 *
 * @author bar
 */
public class ItemImpl implements Item{
    private int id;
    private String producer,description;
    

    public ItemImpl(int id, String producer, String description) {
        this.id = id;
        this.producer = producer;
        this.description = description;
    }
    
    public int getID() {
        return id;
    }

    public String getProducer() {
        return producer;
    }

    public String getDescription() {
        return description;
    }

    public String toString(){
        return id + ": " + producer + " | " + description ;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final ItemImpl other = (ItemImpl) obj;
        if (this.id != other.id) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 61 * hash + this.id;
        return hash;
    }
    
    
}
